astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Time and Dates (`astropy.time`) »
- TimeFromEpoch

# TimeFromEpoch

class `astropy.time.core.``TimeFromEpoch`(val1, val2, scale, precision, in_subfmt, out_subfmt, from_jd=False)

  Bases: `astropy.time.core.TimeFormat`

  Base class for times that represent the interval from a particular epoch as a floating point multiple of a unit time interval (e.g. seconds or days).

  Attributes Summary

  `value` |

  Methods Summary

  `set_jds`(val1, val2) | Initialize the internal jd1 and jd2 attributes given val1 and val2.

  Attributes Documentation

  `value`

  Methods Documentation

  `set_jds`(val1, val2)

    Initialize the internal jd1 and jd2 attributes given val1 and val2. For an TimeFromEpoch subclass like TimeUnix these will be floats giving the effective seconds since an epoch time (e.g. 1970-01-01 00:00:00).